ヒートマップ
GET https://analyticse.com/api/heatmaps/
curl --request GET \
--url 'https://analyticse.com/api/heatmaps/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://analyticse.com/api/heatmaps/' \
--header 'Authorization: Bearer {api_key}' \
| パラメータ | 詳細 | 説明 |
|---|---|---|
| website_id | オプション 整数 | |
| user_id | オプション 整数 | |
| is_enabled | オプション 整数 | 許可された値: 0, 1 |
| search | オプション 文字列 | 検索文字列。 |
| search_by | オプション 文字列 | 検索するフィールドは何ですか。許可されている値は:name, path。 |
| datetime_field | オプション 文字列 | 許可された値: datetime, last_datetime |
| datetime_start | オプション 文字列 | 開始日時 |
| datetime_end | オプション 文字列 | 終了日時 |
| order_by | オプション 文字列 | 結果をどのフィールドで並べ替えるか。許可されている値は:heatmap_id, website_id, name, path, is_enabled, desktop_size, tablet_size, mobile_size, datetime, last_datetime。 |
| order_type | オプション 文字列 | 結果の並び順。許可されている値は、昇順のためのASCと、降順のためのDESCです。 |
| page | オプション 整数 | 結果を取得したいページ番号。デフォルトは1です。 |
| results_per_page | オプション 整数 | 1ページあたりの結果数はどのくらいにしますか。許可されている値は:10, 25, 50, 100, 250, 500, 1000。デフォルトは25です。 |
{
"data": [
{
"id": 1,
"website_id": 1,
"user_id": 1,
"snapshot_id_desktop": 1,
"desktop_size": 123456,
"snapshot_id_tablet": null,
"tablet_size": 0,
"snapshot_id_mobile": null,
"mobile_size": 0,
"name": "Example",
"path": "/",
"is_enabled": true,
"datetime": "2026-09-12 00:44:36",
"last_datetime": null
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total_results": 1,
"total_pages": 1
},
"links": {
"first": "https://analyticse.com/api/heatmaps?page=1",
"last": "https://analyticse.com/api/heatmaps?page=1",
"next": null,
"prev": null,
"self": "https://analyticse.com/api/heatmaps?page=1"
}
}
GET https://analyticse.com/api/heatmaps/{heatmap_id}
curl --request GET \
--url 'https://analyticse.com/api/heatmaps/{heatmap_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://analyticse.com/api/heatmaps/{heatmap_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"website_id": 1,
"user_id": 1,
"snapshot_id_desktop": 1,
"desktop_size": 123456,
"snapshot_id_tablet": null,
"tablet_size": 0,
"snapshot_id_mobile": null,
"mobile_size": 0,
"name": "Example",
"path": "/",
"is_enabled": true,
"datetime": "2026-09-12 00:44:36",
"last_datetime": null
}
}
GET https://analyticse.com/api/heatmaps/{heatmap_id}/data
curl --request GET \
--url 'https://analyticse.com/api/heatmaps/{heatmap_id}/data?snapshot_type=desktop&type=clicks&start_date=2026-01-01&end_date=2026-01-31' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://analyticse.com/api/heatmaps/{heatmap_id}/data?snapshot_type=desktop&type=clicks&start_date=2026-01-01&end_date=2026-01-31' \
--header 'Authorization: Bearer {api_key}' \
| パラメータ | 詳細 | 説明 |
|---|---|---|
| snapshot_type | オプション 文字列 | 許可された値: desktop, tablet, mobile |
| type | オプション 文字列 | 許可された値: clicks, scrolls |
| start_date | オプション 文字列 | Y-m-d形式の開始日。 |
| end_date | オプション 文字列 | Y-m-d形式の終了日。 |
{
"data": {
"id": 1,
"website_id": 1,
"snapshot_id": 1,
"snapshot_type": "desktop",
"type": "clicks",
"start_date": "2026-01-01",
"end_date": "2026-01-31",
"heatmap_data": [
[25.25, 60.5, 1]
],
"heatmap_data_count": 1
}
}
POST https://analyticse.com/api/heatmaps
| パラメータ | 詳細 | 説明 |
|---|---|---|
| website_id | 必須 整数 | |
| name | 必須 文字列 | |
| path | オプション 文字列 | |
| is_enabled | オプション 整数 | 許可された値: 0, 1 |
curl --request POST \
--url 'https://analyticse.com/api/heatmaps' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'website_id=1' \
--form 'name=Example' \
--form 'path=/' \
--form 'is_enabled=1' \
--url 'https://analyticse.com/api/heatmaps' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'website_id=1' \
--form 'name=Example' \
--form 'path=/' \
--form 'is_enabled=1' \
{
"data": {
"id": 1,
"website_id": 1,
"user_id": 1,
"snapshot_id_desktop": null,
"desktop_size": 0,
"snapshot_id_tablet": null,
"tablet_size": 0,
"snapshot_id_mobile": null,
"mobile_size": 0,
"name": "Example",
"path": "/",
"is_enabled": true,
"datetime": "2026-09-12 00:44:36",
"last_datetime": null
}
}
POST https://analyticse.com/api/heatmaps/{heatmap_id}
| パラメータ | 詳細 | 説明 |
|---|---|---|
| name | オプション 文字列 | |
| is_enabled | オプション 整数 | 許可された値: 0, 1 |
curl --request POST \
--url 'https://analyticse.com/api/heatmaps/{heatmap_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'is_enabled=1' \
--url 'https://analyticse.com/api/heatmaps/{heatmap_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'is_enabled=1' \
{
"data": {
"id": 1,
"website_id": 1,
"user_id": 1,
"snapshot_id_desktop": 1,
"desktop_size": 123456,
"snapshot_id_tablet": null,
"tablet_size": 0,
"snapshot_id_mobile": null,
"mobile_size": 0,
"name": "Example",
"path": "/",
"is_enabled": true,
"datetime": "2026-09-12 00:44:36",
"last_datetime": "2026-09-12 00:44:36"
}
}
DELETE https://analyticse.com/api/heatmaps/{heatmap_id}
curl --request DELETE \
--url 'https://analyticse.com/api/heatmaps/{heatmap_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://analyticse.com/api/heatmaps/{heatmap_id}' \
--header 'Authorization: Bearer {api_key}' \